### Method

# GObject Value get_char

deprecated: 2.32

#### Declaration

    gchar
    g_value_get_char (
      const GValue* value
    )

#### Description

Do not use this function; it is broken on platforms where the %char type is unsigned, such as ARM and PowerPC. See g_value_get_schar().

Get the contents of a `G_TYPE_CHAR` `GValue`.

Deprecated since: 2.32

This function’s return type is broken, see g_value_get_schar().

#### Return value

Type: `gchar`

Character contents of `value`.